tidy::getRelease
tidy::head
tidy
PHP Manual

# tidy::getStatus

# tidy_get_status

(PHP 5, PECL tidy >= 0.5.2)

tidy::getStatus -- tidy_get_status — Get status of specified document

### Description

Object oriented style

int tidy::getStatus ( void )

Procedural style

int tidy_get_status ( tidy `$object` )

Returns the status for the specified tidy `object`.

### Parameters

`object`

  The Tidy object.

### Return Values

Returns 0 if no error/warning was raised, 1 for warnings or accessibility errors, or 2 for errors.

### Examples

Example #1 tidy::getStatus() example

`<?php
$html = '<p>paragraph</i>';
$tidy = new tidy();
$tidy->parseString($html);
$tidy2 = new tidy();
$html2 = '<bogus>test</bogus>';
$tidy2->parseString($html2);
echo $tidy->getStatus(); //1
echo $tidy2->getStatus(); //2
?>`

tidy::getRelease
tidy::head
tidy
PHP Manual